> Author: Yueqiang Song    
> Email: songyq_hello@163.com     
> Last Updates: 15/12/2020    

#### Requirements

- choppy
- Ali-Cloud

```
# 激活choppy环境
$ source activate choppy-pipe-0.3.8.dev0
# 安装 mergefq
$ choppy install songyueqiang/mergefq
# 如果已安装，可加参数 -f强制安装
$ choppy install songyueqiang/mergefq -f
# 查看已安装的app
$ choppy apps
```

#### quick start

```
# 准备sample.csv
$ choppy samples songyueqiang/mergefq-latest > samples.csv
# 运行命令
$ choppy batch songyueqiang/mergefq-latest sample.csv --project-name Your_project_name
# 查询运行情况
$ choppy query -s ID 
# 查询报错信息
$ choppy query -s ID -m

```

#### 参数
- fq1,需要merge的第一个fastq文件
- fq2,需要merge的第二个fastq文件
- fq3,可选参数, 需要merge的第三个fastq文件,如果没有, 在sample.csv中则为空.这里设置, 最多合并3个fastq文件
- fq_m, merge之后的fastq文件
- sample_id, sample id
- disk_size,数据盘大小，单位是GB


