task mergefq {
	File fq1
	File fq2
	File? fq3
	String fq_m
	String disk_size
	String docker
	String cluster_config

	command <<<
		set -euo pipefail
		if [  ${fq3} == "" ]
		then
			cat ${fq1} ${fq2} > ${fq_m}
		else
			cat ${fq1} ${fq2} ${fq3} > ${fq_m}
		fi
	>>>

	runtime {
		docker: docker
		systemDisk: "cloud_ssd 40"
		cluster: cluster_config
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File merge_fq = "${fq_m}"
	}
}
